## cvsmooth cvsmooth |

## Properties

gint | param1 | Read / Write
gint | param2 | Read / Write
gdouble | param3 | Read / Write
gdouble | param4 | Read / Write
GstCvSmoothTypeType | type | Read / Write
gdouble | color | Read / Write
gint | height | Read / Write
gdouble | spatial | Read / Write
gint | width | Read / Write

## Types and Values

struct | GstCvSmooth

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstOpencvVideoFilter
                                ╰── GstCvSmooth

## Description

Smooths the image using thes cvSmooth OpenCV function.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! cvsmooth ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | opencv
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)BGR, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)GRAY8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)BGR, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)GRAY8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCvSmooth

    struct GstCvSmooth;

## Property Details

### The `“param1”` property

      “param1”                   gint

The aperture width (Must be positive and odd).Check cvSmooth OpenCV docs: http://opencv.willowgarage.com/documentation/image_filtering.html#cvSmooth.

Flags: Read / Write

Allowed values: >= 1

Default value: 3

### The `“param2”` property

      “param2”                   gint

The aperture height, if zero, the width is used.(Must be positive and odd or zero, unuset in median and bilateral types). Check cvSmooth OpenCV docs: http://opencv.willowgarage.com/documentation/image_filtering.html#cvSmooth.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“param3”` property

      “param3”                   gdouble

If type is gaussian, this means the standard deviation.If type is bilateral, this means the color-sigma. If zero, Default values are used.Check cvSmooth OpenCV docs: http://opencv.willowgarage.com/documentation/image_filtering.html#cvSmooth.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“param4”` property

      “param4”                   gdouble

Only used in bilateral type, means the spatial-sigma.Check cvSmooth OpenCV docs: http://opencv.willowgarage.com/documentation/image_filtering.html#cvSmooth.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“type”` property

      “type”                     GstCvSmoothTypeType

Smooth Type.

Flags: Read / Write

Default value: CV Gaussian

### The `“color”` property

      “color”                    gdouble

If type is gaussian, this means the standard deviation.If type is bilateral, this means the color-sigma. If zero, Default values are used.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“height”` property

      “height”                   gint

The gaussian kernel height (must be positive and odd).

Flags: Read / Write

Allowed values: >= 0

Default value: 3

### The `“spatial”` property

      “spatial”                  gdouble

Only used in bilateral type, means the spatial-sigma.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“width”` property

      “width”                    gint

The gaussian kernel width (must be positive and odd).If type is median, this means the aperture linear size.Check OpenCV docs: http://docs.opencv.org/2.4/modules/imgproc/doc/filtering.htm.

Flags: Read / Write

Allowed values: >= 1

Default value: 3